*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    position: relative;
}
@font-face {
    font-family: "roboto";
    src: url("Roboto-Regular.ttf");
}
body{
    max-width: 1400px;
    display: flex;
    flex-direction: column;
    font-family: "roboto";
    margin: 0 auto;
    font-size: 20px;
}
header{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
}
#hero{
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-image: url("images/stylish-living-room-with-orange-walls-gray-sofa-plants.jpg");
    background-size:cover;
    background-blend-mode: hard-light;
}
#hero div{
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, 0.3);
}
#hero>div>h2{
    width: 50%;
    margin-bottom: 20px;
}
#hero>div>p{
    width: 50%;
    margin-bottom: 40px;
    font-weight: bold;
}
.cta-button{
    padding: 20px;
    border-radius: 15px;
    background-color: rgb(202, 244, 164);
    color: rgb(249, 147, 45);
    text-decoration: none;
    font-weight: bold;
    box-shadow: 0px 0px 20px 1px rgb(149, 188, 115);
}
section{
    margin-bottom: 40px;
    width: 100%;
}
section h2{
    margin-bottom: 20px;
}
h2 span{
    border-bottom: 5px solid rgb(249, 147, 45);
}
#services{
    width: 80%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    
}
.services-grid{
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.service-card{
    border:5px solid rgb(249, 147, 45);
    border-radius: 10px;
    padding: 20px;
    display: flex;
    position: relative;
    margin: 40px 0;
}

.service-card-desc h3{
    color: whitesmoke;
    padding: 10px;
    border-radius: 10px;
    background-color: rgb(249, 147, 45);
    top: -45px;
    left: -10px;
}
.service-card-desc{
    position: relative;
    width: 50%;
}
.service-card-desc p{
    padding-right: 10px;
}
.service-card-img{
    width: 50%;
}
.service-card-img img{
    width: 100%;
}

#villes{
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    height: 100vh;
}
iframe{
    flex-grow: 1;
}
#engagements{
    display: flex;
    flex-direction: column;
    width: 80%;
    margin: 40px auto;
}
ul{
    list-style-type: none;
}
footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgb(249, 147, 45);
    padding: 20px;
    color: white;
}
#contact{
    display: flex;
    width: 80%;
    margin: 40px auto;
}
form{
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 50%;
    margin: 0 auto;
}
textarea{
    border: 2px solid rgb(249, 147, 45);
    font-size: 20px;
    resize: none;
    height: 300px;
}
input{
    border: 2px solid rgb(249, 147, 45);
    font-size: 20px;
    height: 40px;
}
button{
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: center;
    padding: 20px;
    border-radius: 15px;
    background-color: rgb(202, 244, 164);
    color: rgb(249, 147, 45);
    text-decoration: none;
    font-weight: bold;
    box-shadow: 0px 0px 20px 1px rgb(149, 188, 115);
    font-size: 20px;
    height: 30px;
    width: 120px;
    border: none;
}
button:hover{
    box-shadow: 0px 0px 15px 3px rgb(149, 188, 115);
}
@media screen and (max-width: 760px){
    .service-card{
        flex-direction: column;
    }
    .service-card-desc {
        width: 100%;
    }
    .service-card-img{
        width: 100%;
    }
    form{
        width: 100%;
    }
}